Skip to navigation
Service ProfilesUpdate service profile

Update service profile

Update a service profile with a given id.

Editable fields:

  • name (String optional)
  • description (String optional)
  • allowed_3g (boolean optional)
  • allowed_4g (boolean optional). Allows or restricts connectivity for 4G/LTE and LTE-M networks.
  • allowed_nb_iot (boolean optional)
  • DEPRECATED apply_quota (boolean optional, defaults to false). Use apply_data_quota instead. Will be ignored if apply_data_quota is present.
  • apply_data_quota (boolean optional, defaults to false)
  • apply_sms_quota (boolean optional, defaults to false)
  • retail (boolean optional, defaults to false)
  • sms_p2p_int (boolean optional, defaults to true)
  • sms_p2p_ext (boolean optional, defaults to true)
  • DEPRECATED prepaid (boolean optional, defaults to false)
  • nipdp (boolean optional, defaults to false)
  • api_callback (object optional) can be emptied by setting the id to null (“api_callback”:{“id”:null})
  • api_secret (object optional) can be emptied by setting the id to null (“api_secret”:{“id”:null})
  • moc_callback (object optional) can be emptied by setting the id to null (“moc_callback”:{“id”:null})
  • esme_interface_type (object optional)
  • breakout_region (object optional)
  • dns (object optional)

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

profile_iddoubleRequired
The Numeric ID of a Service Profile

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
allowed_3gbooleanOptional
allowed_4gbooleanOptional
allowed_nb_iotbooleanOptional
apply_sms_quotabooleanOptional
apply_data_quotabooleanOptional
retailbooleanOptional
sms_p2p_intbooleanOptional
sms_p2p_extbooleanOptional
prepaidbooleanOptional
nipdpbooleanOptional
api_callbackobjectOptional
api_secretobjectOptional
moc_callbackobjectOptional
esme_interface_typeobjectOptional
breakout_regionobjectOptional
dnsobjectOptional

Response

Successfully updated the Service Profile

Errors

403
Forbidden Error